<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>DomainInfluenceEditComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>












            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>../parameter-edit.scss,<br>./domain-influence-edit.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./domain-influence-edit.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_readOnly">_readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_subscriptions">_subscriptions</a>
                            </li>
                            <li>
                                <a href="#file">file</a>
                            </li>
                            <li>
                                <a href="#fileDataSource">fileDataSource</a>
                            </li>
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#sort">sort</a>
                            </li>
                            <li>
                                <a href="#uploadInputComponent">uploadInputComponent</a>
                            </li>
                            <li>
                                <a href="#uploadResult">uploadResult</a>
                            </li>
                            <li>
                                <a href="#validationErrorCsvContent">validationErrorCsvContent</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#deleteFile">deleteFile</a>
                            </li>
                            <li>
                                <a href="#download">download</a>
                            </li>
                            <li>
                                <a href="#downloadValidationReport">downloadValidationReport</a>
                            </li>
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#processUploadResult">processUploadResult</a>
                            </li>
                            <li>
                                <a href="#resetUploadResult">resetUploadResult</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#fileDisplayedColumns">fileDisplayedColumns</a>
                                </li>
                                <li>
                                    <a href="#readOnly">readOnly</a>
                                </li>
                                <li>
                                    <a href="#uploadUrl">uploadUrl</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(parametersModel: <a href="../injectables/OperationParametersModel.html">OperationParametersModel</a>, domainInfluenceService: <a href="../injectables/DomainInfluenceService.html">DomainInfluenceService</a>, fileService: <a href="../injectables/FileService.html">FileService</a>, dialogService: TdDialogService, translateService: TranslateService, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, snackBar: MatSnackBar)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:54</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>parametersModel</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationParametersModel.html" target="_self" >OperationParametersModel</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>domainInfluenceService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/DomainInfluenceService.html" target="_self" >DomainInfluenceService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>fileService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FileService.html" target="_self" >FileService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="deleteFile"></a>
                        <span class="name">
                            <b>
                            deleteFile
                            </b>
                            <a href="#deleteFile"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>deleteFile()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="135" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:135</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="download"></a>
                        <span class="name">
                            <b>
                            download
                            </b>
                            <a href="#download"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>download(file: <a href="../classes/DomainInfluenceFile.html">DomainInfluenceFile</a>, event: <a href="https://angular.io/api/router/Event" target="_blank">Event</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="127" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:127</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>file</td>
                                                        <td>
                                                                    <code><a href="../classes/DomainInfluenceFile.html" target="_self" >DomainInfluenceFile</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>event</td>
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Event" target="_blank" >Event</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadValidationReport"></a>
                        <span class="name">
                            <b>
                            downloadValidationReport
                            </b>
                            <a href="#downloadValidationReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadValidationReport()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="123" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:123</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:40</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="67" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:67</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="75" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:75</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="processUploadResult"></a>
                        <span class="name">
                            <b>
                            processUploadResult
                            </b>
                            <a href="#processUploadResult"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>processUploadResult(result: <a href="../classes/DomainInfluenceImportResult.html">DomainInfluenceImportResult</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="100" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:100</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>result</td>
                                                        <td>
                                                                    <code><a href="../classes/DomainInfluenceImportResult.html" target="_self" >DomainInfluenceImportResult</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="resetUploadResult"></a>
                        <span class="name">
                            <b>
                            resetUploadResult
                            </b>
                            <a href="#resetUploadResult"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>resetUploadResult()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="96" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:96</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_readOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _readOnly
                            </b>
                            <a href="#_readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_readOnly:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _subscriptions
                            </b>
                            <a href="#_subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="file"></a>
                        <span class="name">
                            <b>
                            file
                            </b>
                            <a href="#file"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>file:     <code><a href="../classes/DomainInfluenceFile.html" target="_self" >DomainInfluenceFile</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluenceFile.html" target="_self" >DomainInfluenceFile</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="fileDataSource"></a>
                        <span class="name">
                            <b>
                            fileDataSource
                            </b>
                            <a href="#fileDataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>fileDataSource:     <code><a href="../classes/DomainInfluenceFileDataSource.html" target="_self" >DomainInfluenceFileDataSource</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluenceFileDataSource.html" target="_self" >DomainInfluenceFileDataSource</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:34</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="operation"></a>
                        <span class="name">
                            <b>
                            operation
                            </b>
                            <a href="#operation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sort"></a>
                        <span class="name">
                            <b>
                            sort
                            </b>
                            <a href="#sort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>sort:     <code>MatSort</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>MatSort</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(MatSort)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:54</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInputComponent"></a>
                        <span class="name">
                            <b>
                            uploadInputComponent
                            </b>
                            <a href="#uploadInputComponent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadInputComponent:     <code><a href="../classes/UploadInput.html" target="_self" >UploadInputComponent</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/UploadInput.html" target="_self" >UploadInputComponent</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(UploadInputComponent)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:37</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadResult"></a>
                        <span class="name">
                            <b>
                            uploadResult
                            </b>
                            <a href="#uploadResult"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadResult:     <code><a href="../classes/DomainInfluenceImportResult.html" target="_self" >DomainInfluenceImportResult</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/DomainInfluenceImportResult.html" target="_self" >DomainInfluenceImportResult</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>undefined</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validationErrorCsvContent"></a>
                        <span class="name">
                            <b>
                            validationErrorCsvContent
                            </b>
                            <a href="#validationErrorCsvContent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>validationErrorCsvContent:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="fileDisplayedColumns"></a>
                        <span class="name"><b>fileDisplayedColumns</b><a href="#fileDisplayedColumns"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>fileDisplayedColumns()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:45</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name"><b>readOnly</b><a href="#readOnly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>readOnly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="71" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:71</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadUrl"></a>
                        <span class="name"><b>uploadUrl</b><a href="#uploadUrl"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>uploadUrl()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="91" class="link-to-prism">src/app/operation/parameters/domain-influence/domain-influence-edit.component.ts:91</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit, ViewChild } from &#x27;@angular/core&#x27;;
import { OperationParametersModel } from &#x27;../model/operation-parameters.model&#x27;;
import { DomainInfluenceFile } from &#x27;./model/domain-influence-file&#x27;;
import { MatSnackBar, MatSort } from &#x27;@angular/material&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import { DataSource } from &#x27;@angular/cdk/collections&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { DomainInfluenceService } from &#x27;./services/domain-influence.service&#x27;;
import { DomainInfluenceImportResult } from &#x27;./model/domain-influence-import-result&#x27;;
import { FileService } from &#x27;../../../core/service/file-service/file-service&#x27;;
import { map } from &#x27;rxjs/operators&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../../core/confirm-before-quit&#x27;;
import { UploadInputComponent } from &#x27;../../../shared/upload-input/upload-input.component&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;

@Component({
  templateUrl: &#x27;./domain-influence-edit.component.html&#x27;,
  styleUrls: [&#x27;../parameter-edit.scss&#x27;, &#x27;./domain-influence-edit.component.scss&#x27;]
})
export class DomainInfluenceEditComponent implements OnInit, ConfirmBeforeQuit {
  private _subscriptions: Subscription[] &#x3D; [];
  private _readOnly &#x3D; false;
  operation: Operation;
  file: DomainInfluenceFile;


  uploadResult: DomainInfluenceImportResult &#x3D; undefined;
  validationErrorCsvContent: string;

  fileDataSource: DomainInfluenceFileDataSource;

  @ViewChild(UploadInputComponent)
  uploadInputComponent: UploadInputComponent;


  isFormModified(): boolean {
    return this.uploadInputComponent &amp;&amp; this.uploadInputComponent.isFormModified();
  }


  get fileDisplayedColumns() {
    let readableColumn &#x3D; [&#x27;file&#x27;, &#x27;author&#x27;, &#x27;importedDate&#x27;];
    if (this.readOnly || !this.authorizationService.hasAtLeastOneRole([&quot;DELETE_DOI&quot;])) {
      return readableColumn;
    } else {
      return readableColumn.concat([&#x27;delete&#x27;]);
    }
  }

  @ViewChild(MatSort) sort: MatSort;

  constructor(private parametersModel: OperationParametersModel,
              private domainInfluenceService: DomainInfluenceService,
              private fileService: FileService,
              private dialogService: TdDialogService,
              private translateService: TranslateService,
              private authorizationService: AuthorizationService,
              private readOnlyService: ReadOnlyService,
              private snackBar: MatSnackBar) {
  }


  ngOnDestroy(): void {
    this._subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  get readOnly() {
    return this._readOnly;
  }

  ngOnInit() {
    this._subscriptions.push(
      this.readOnlyService.isDoiInReadOnly()
        .subscribe(
          readOnly &#x3D;&gt; {
            this._readOnly &#x3D; readOnly;
          }
        ),
      this.parametersModel.currentOperation.subscribe(operation &#x3D;&gt; this.operation &#x3D; operation),
      this.parametersModel.currentDomainInfluenceFile.subscribe(file &#x3D;&gt; this.file &#x3D; file),
    );
    this.fileDataSource &#x3D; new DomainInfluenceFileDataSource(this.parametersModel);

  }


  get uploadUrl(): string {
    return &#x60;${this.domainInfluenceService.serviceUrl}/${this.operation.id}/upload&#x60;;
  }


  resetUploadResult() {
    this.uploadResult &#x3D; undefined;
  }

  processUploadResult(result: DomainInfluenceImportResult) {
    this.uploadResult &#x3D; result;
    if (this.uploadResult) {
      if (this.uploadResult.validationErrors.length &gt; 0) {
        this.validationErrorCsvContent &#x3D; this.fileService.generateCsvFromFlatObject(
          this.uploadResult.validationErrors, &quot;global.validation.csv.header&quot;);
      } else {
        this.parametersModel.updateDomainInfluenceFile(result.domainOfInfluenceFile);
        // UI-feedback: notify user that import was successful
        this.snackBar.open(
          this.translateService.instant(
            &#x27;parameters.domain-influence.edit.form.import-success&#x27;,
            {fileName: result.domainOfInfluenceFile.fileName}
          ),
          &#x27;&#x27;,
          {
            duration: 5000
          }
        );
      }
    }
  }

  downloadValidationReport() {
    this.fileService.downloadFile(&#x27;domain_of_influence_errors.csv&#x27;, this.validationErrorCsvContent);
  }

  download(file: DomainInfluenceFile, event: Event) {
    this.domainInfluenceService.download(this.operation.id).subscribe(blob &#x3D;&gt; {
      this.fileService.downloadBlob(file.fileName, blob);
    });
    event.preventDefault();  // prevent href link
    event.stopPropagation(); // prevent repository panel&#x27;s expansion toggle
  }

  deleteFile() {
    this.dialogService.openConfirm({
      message: this.translateService.instant(&#x27;parameters.domain-influence.edit.delete-dialog.message&#x27;,
        {fileName: this.file.fileName}),
      disableClose: true,
      cancelButton: this.translateService.instant(&#x27;global.actions.no&#x27;),
      acceptButton: this.translateService.instant(&#x27;global.actions.yes&#x27;),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.domainInfluenceService.deleteFile(this.file.id).subscribe(() &#x3D;&gt; {
          this.snackBar.open(
            this.translateService.instant(
              &#x27;parameters.domain-influence.edit.delete-success&#x27;,
              {fileName: this.file.fileName}
            ),
            &#x27;&#x27;,
            {duration: 5000}
          );
          this.parametersModel.updateDomainInfluenceFile(new DomainInfluenceFile());
        });
      }
    });
  }
}

class DomainInfluenceFileDataSource extends DataSource&lt;DomainInfluenceFile&gt; {
  constructor(private parametersModel: OperationParametersModel) {
    super();
  }

  connect(): Observable&lt;DomainInfluenceFile[]&gt; {
    return this.parametersModel.currentDomainInfluenceFile.pipe(map(file &#x3D;&gt; [file]));
  }

  disconnect() {
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;domainInfluenceEdit&quot; class&#x3D;&quot;parameter-edit&quot; [class.read-only]&#x3D;&quot;readOnly&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{&#x27;parameters.domain-influence.edit.title&#x27; | translate}}&lt;/mat-card-title&gt;
    &lt;mat-card-subtitle fxLayout&#x3D;&quot;row&quot; fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
      &lt;span&gt;{{&#x27;parameters.domain-influence.edit.subtitle&#x27; | translate}}&lt;/span&gt;
      &lt;span *ngIf&#x3D;&quot;!readOnly&quot;&gt;{{&#x27;global.forms.fields.required&#x27; | translate}}&lt;/span&gt;
    &lt;/mat-card-subtitle&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content class&#x3D;&quot;no-padding&quot;&gt;
    &lt;ng-container *roles&#x3D;&quot;[&#x27;UPLOAD_DOI&#x27;]&quot;&gt;
      &lt;div class&#x3D;&quot;parameter-input&quot; *ngIf&#x3D;&quot;!readOnly&quot;&gt;
        &lt;upload-input placeholder&#x3D;&quot;parameters.domain-influence.edit.form.fields.inputFile.placeholder&quot;
                      [uploadUrl]&#x3D;&quot;uploadUrl&quot;
                      fileAccept&#x3D;&quot;.xml&quot;
                      uploadIcon&#x3D;&quot;file_upload&quot;
                      uploadText&#x3D;&quot;global.actions.import&quot;
                      progressText&#x3D;&quot;global.upload-progress&quot;
                      (uploadStarted)&#x3D;&quot;resetUploadResult()&quot;
                      (uploadDone)&#x3D;&quot;processUploadResult($event)&quot;&gt;
        &lt;/upload-input&gt;
      &lt;/div&gt;
    &lt;/ng-container&gt;

    &lt;div *ngIf&#x3D;&quot;uploadResult &amp;&amp; uploadResult.validationErrors.length &gt; 0&quot;
         id&#x3D;&quot;validationErrors&quot; class&#x3D;&quot;parameter-error&quot;
         fxLayout fxLayoutGap&#x3D;&quot;25px&quot;&gt;
      &lt;mat-icon class&#x3D;&quot;parameter-error-icon&quot;&gt;warning&lt;/mat-icon&gt;
      &lt;span fxFlex fxFlexAlign&#x3D;&quot;auto&quot;&gt;{{ &#x27;global.errors.validation-error&#x27; | translate }}&lt;/span&gt;
      &lt;button mat-button color&#x3D;&quot;primary&quot;
              id&#x3D;&quot;validationErrorsDownloadButton&quot;
              (click)&#x3D;&quot;downloadValidationReport()&quot;&gt;
        &lt;mat-icon&gt;file_download&lt;/mat-icon&gt;&amp;nbsp;{{ &#x27;global.actions.error-report-download&#x27; | translate | uppercase }}
      &lt;/button&gt;
    &lt;/div&gt;

    &lt;mat-table [hidden]&#x3D;&quot;file.fileName &#x3D;&#x3D;&#x3D; undefined&quot;
               [dataSource]&#x3D;&quot;fileDataSource&quot;
               id&#x3D;&quot;fileGrid&quot;&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;file&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt;
          {{&#x27;parameters.domain-influence.edit.file-grid.header.file&#x27; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let file&quot;&gt;
          &lt;td-expansion-panel #panel&gt;
            &lt;ng-template td-expansion-panel-header&gt;
              &lt;div fxLayout fxLayoutAlign&#x3D;&quot;stretch center&quot;&gt;
                &lt;mat-icon class&#x3D;&quot;td-expand-icon&quot; *ngIf&#x3D;&quot;!panel.expand&quot;&gt;keyboard_arrow_right&lt;/mat-icon&gt;
                &lt;mat-icon class&#x3D;&quot;td-expand-icon&quot; *ngIf&#x3D;&quot;panel.expand&quot;&gt;keyboard_arrow_down&lt;/mat-icon&gt;
                &lt;div fxFlex&#x3D;&quot;grow&quot; fxLayout&#x3D;&quot;column&quot;&gt;
                  &lt;span&gt;&lt;a href&#x3D;&quot;#&quot; (click)&#x3D;&quot;download(file, $event)&quot;
                           class&#x3D;&quot;td-expansion-label&quot;&gt;{{file.fileName}}&lt;/a&gt;&lt;/span&gt;
                &lt;/div&gt;
              &lt;/div&gt;
            &lt;/ng-template&gt;
            &lt;domain-influence-grid [domains]&#x3D;&quot;file.details&quot;&gt;&lt;/domain-influence-grid&gt;
          &lt;/td-expansion-panel&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;author&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt;
          {{&#x27;parameters.domain-influence.edit.file-grid.header.author&#x27; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let file&quot;&gt;
          &lt;div&gt;
            {{file.login}}
          &lt;/div&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;importedDate&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt;
          {{&#x27;parameters.domain-influence.edit.file-grid.header.imported-date&#x27; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let file&quot;&gt;
          &lt;div&gt;
            {{file.saveDate | date:&#x27;d.MM.yyyy&#x27;}}
          &lt;/div&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;delete&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt;
          {{&#x27;parameters.domain-influence.edit.file-grid.header.delete&#x27; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let file&quot;&gt;
          &lt;button mat-icon-button
                  color&#x3D;&quot;accent&quot;
                  (click)&#x3D;&quot;deleteFile()&quot;&gt;
            &lt;mat-icon&gt;clear&lt;/mat-icon&gt;
          &lt;/button&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;fileDisplayedColumns&quot;&gt;&lt;/mat-header-row&gt;
      &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: fileDisplayedColumns;&quot;&gt;&lt;/mat-row&gt;
    &lt;/mat-table&gt;

  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>../parameter-edit.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.parameter-edit .mat-card-header {
  min-height: 0;
}

.parameter-edit .mat-card-header &gt; div {
  width: 100%;
}

.parameter-edit .mat-card-content {
  min-height: 0;
}

.parameter-edit .mat-card-actions {
  min-height: 0;
  padding: 0 2rem 2rem;
}

.parameter-input {
  padding: 1rem;
}

.parameter-error {
  font-size: 1.8rem;
  line-height: 3.5rem;
  padding: 1rem;
  margin-top: 1rem;
}

.parameter-error-icon {
  font-size: 3rem;
}


</code></pre>
                <p class="comment">
                    <code>./domain-influence-edit.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.mat-column-file {
  flex: 1 0 0;
}

.mat-column-author {
  flex: 0 0 10rem;
}
.mat-row .mat-column-author {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-author &gt; div {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.mat-column-importedDate {
  flex: 0 0 8rem;
}

.mat-row .mat-column-importedDate {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-importedDate &gt; div {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.mat-column-delete {
  flex: 0 0 8rem;
}

.mat-row .mat-column-delete {
  height: 5rem;
  align-self: flex-start;
}

.mat-row .mat-column-delete &gt; button {
  height: 5rem;
  display: table-cell;
  vertical-align: middle;
}

.td-expansion-panel {
  box-shadow: none;
  background-color: white;
}

.td-expand-icon {
  padding-right: 1.6rem;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="domainInfluenceEdit" class="parameter-edit" [class.read-only]="readOnly">  <mat-card-header>    <mat-card-title>{{\'parameters.domain-influence.edit.title\' | translate}}</mat-card-title>    <mat-card-subtitle fxLayout="row" fxLayoutAlign="space-between">      <span>{{\'parameters.domain-influence.edit.subtitle\' | translate}}</span>      <span *ngIf="!readOnly">{{\'global.forms.fields.required\' | translate}}</span>    </mat-card-subtitle>  </mat-card-header>  <mat-card-content class="no-padding">    <ng-container *roles="[\'UPLOAD_DOI\']">      <div class="parameter-input" *ngIf="!readOnly">        <upload-input placeholder="parameters.domain-influence.edit.form.fields.inputFile.placeholder"                      [uploadUrl]="uploadUrl"                      fileAccept=".xml"                      uploadIcon="file_upload"                      uploadText="global.actions.import"                      progressText="global.upload-progress"                      (uploadStarted)="resetUploadResult()"                      (uploadDone)="processUploadResult($event)">        </upload-input>      </div>    </ng-container>    <div *ngIf="uploadResult && uploadResult.validationErrors.length > 0"         id="validationErrors" class="parameter-error"         fxLayout fxLayoutGap="25px">      <mat-icon class="parameter-error-icon">warning</mat-icon>      <span fxFlex fxFlexAlign="auto">{{ \'global.errors.validation-error\' | translate }}</span>      <button mat-button color="primary"              id="validationErrorsDownloadButton"              (click)="downloadValidationReport()">        <mat-icon>file_download</mat-icon>&nbsp;{{ \'global.actions.error-report-download\' | translate | uppercase }}      </button>    </div>    <mat-table [hidden]="file.fileName === undefined"               [dataSource]="fileDataSource"               id="fileGrid">      <ng-container matColumnDef="file">        <mat-header-cell *matHeaderCellDef>          {{\'parameters.domain-influence.edit.file-grid.header.file\' | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let file">          <td-expansion-panel #panel>            <ng-template td-expansion-panel-header>              <div fxLayout fxLayoutAlign="stretch center">                <mat-icon class="td-expand-icon" *ngIf="!panel.expand">keyboard_arrow_right</mat-icon>                <mat-icon class="td-expand-icon" *ngIf="panel.expand">keyboard_arrow_down</mat-icon>                <div fxFlex="grow" fxLayout="column">                  <span><a href="#" (click)="download(file, $event)"                           class="td-expansion-label">{{file.fileName}}</a></span>                </div>              </div>            </ng-template>            <domain-influence-grid [domains]="file.details"></domain-influence-grid>          </td-expansion-panel>        </mat-cell>      </ng-container>      <ng-container matColumnDef="author">        <mat-header-cell *matHeaderCellDef>          {{\'parameters.domain-influence.edit.file-grid.header.author\' | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let file">          <div>            {{file.login}}          </div>        </mat-cell>      </ng-container>      <ng-container matColumnDef="importedDate">        <mat-header-cell *matHeaderCellDef>          {{\'parameters.domain-influence.edit.file-grid.header.imported-date\' | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let file">          <div>            {{file.saveDate | date:\'d.MM.yyyy\'}}          </div>        </mat-cell>      </ng-container>      <ng-container matColumnDef="delete">        <mat-header-cell *matHeaderCellDef>          {{\'parameters.domain-influence.edit.file-grid.header.delete\' | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let file">          <button mat-icon-button                  color="accent"                  (click)="deleteFile()">            <mat-icon>clear</mat-icon>          </button>        </mat-cell>      </ng-container>      <mat-header-row *matHeaderRowDef="fileDisplayedColumns"></mat-header-row>      <mat-row *matRowDef="let row; columns: fileDisplayedColumns;"></mat-row>    </mat-table>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'DomainInfluenceEditComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'DomainInfluenceEditComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
